Bug 659773 - nautilus-sendto should have an option to specify --send-as and --send-to
Summary: nautilus-sendto should have an option to specify --send-as and --send-to
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nautilus-sendto
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bastien Nocera
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-03 16:27 UTC by Matthew Mosesohn
Modified: 2018-11-29 21:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-13 13:14:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Mosesohn 2010-12-03 16:27:31 UTC
Description of problem:

This is a feature request for nautilus-sendto to provide additional options on the command line.  The purpose of this is to allow for a tool to be created to send an email using the default mail client.

nautilus-sendto has related bug 659762 which blocks this bug from being worked on, but if it's fixed, one could conceivably create a Nautilus context menu entry that can be statically set up to run this command:
nautilus-sendto --send-as email --send-to support@mycompany.com $*

The end result would be a user could in just a couple of clicks send a file to a predetermined recipient right from a Nautilus window.

Ideally, the other options such as Bluetooth sendto and Brasero compilation could be built into this command.

The appropriate alternative to this method is xdg-email to send this, but it can't handle attachments.  I am filing a separate bug for that and I will place a comment in this bug referring to that one.

Version-Release number of selected component (if applicable):
nautilus-sendto-2.28.2-3.el6.x86_64

Comment 2 Matthew Mosesohn 2010-12-03 16:54:16 UTC
xdg-utils bugs:
659782
659786

To clarify, if you specify an attachment for Thunderbird with xdg-email, an error is displayed.

Comment 3 RHEL Program Management 2011-01-07 15:58:09 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 RHEL Program Management 2011-07-06 00:29:57 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 8 Bastien Nocera 2012-01-13 12:57:22 UTC
This would be a feature request to be considered upstream. This isn't going to get added to RHEL 6, sorry.

Comment 9 RHEL Program Management 2012-01-13 13:14:36 UTC
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.